Role

Show the details of a role

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

One of Daylite's most powerful features is the relating of objects to one another. These relationships exist in the form of roles. Roles are intermediate objects which represent and store context about the relationships between major objects.

Attributes

Attribute NameTypeDescriptionAttributes
selfreferenceThe URL of the RoleRead-only
Non-null
titlestringTitle of the related entity, e.g. their job title (max 128 characters)Read-Write
Nullable
Searchable
departmentstringDepartment (max 128 characters). Only allowed on roles between a contact and a companyRead-Write
Nullable
Searchable
contactreferenceThe URL of the ContactRead-Write
Nullable
Searchable
companyreferenceThe URL of the CompanyRead-Write
Nullable
Searchable
opportunityreferenceThe URL of the OpportunityRead-Write
Nullable
Searchable
projectreferenceThe URL of the ProjectRead-Write
Nullable
Searchable
typereferenceThe URL of the Role TypeRead-Write
Nullable
Searchable
rolestringName of the role type. To change it, set typeRead-only
Nullable
create_datedatetimeWhen the role was createdRead-only
Non-null
trashedbooleanWhether the role is in the trash. Set to false to restore itRead-only
Non-null
🚧

Department

The department attribute is only applicable to roles between Contact and Company entities.

A role links two records. The first role created for a contact becomes the contact's default role. Roles in the trash are not shown on the records they link.

The following table outlines the ways in which the various objects may be related to one another using roles.

Role instances are described on major objects as collections of related major objects. In the following example, a role is configured to relate one contact to two companies.

{
  "self": "/v1/contacts/1000",
  "first_name": "Stephanie",
  "companies": [
    {
      "title": "Interim CEO",
      "role": "Decision Maker",
      "department": "Executive",
      "company": "/v1/companies/1000"
    },
    {
      "role": "Advisor",
      "department": "The Board",
      "company": "/v1/companies/2000"
    }
  ]
}

As can be seen in the above example, roles between objects are established by providing collections of existing object references and associated fields, grouped by related object type. The inverse of the role shown above might appear as follows.

[
  {
    "self": "/v1/companies/1000",
    "name": "Rottweiler Food Corp.",
    "contacts": [
      {
        "title": "Interim CEO",
        "role": "Decision Maker",
        "department": "Executive",
        "contact": "/v1/contacts/1000"
      }
    ]
  },
  {
    "self": "/v1/companies/2000",
    "name": "Poodle Groomers Inc.",
    "contacts": [
      {
        "role": "Advisor",
        "department": "The Board",
        "contact": "/v1/contacts/1000"
      }
    ]
  }
]
📘

Role Keys

Each relatable entity has a separate collection for roles (i.e. "contacts", "companies", "opportunities", "projects"). Note that the collection uses the plural form of the entity name as the object key, while the role itself uses the singular form of the entity name.

Path Params
int32
required

The role ID

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json